Home > Load Error > Activerecord Oracle_enhanced Adapter Could Not Load Ruby-oci8 Library

Activerecord Oracle_enhanced Adapter Could Not Load Ruby-oci8 Library

Contents

There is another one that uses FFI. Where it search for the DLL and which name? ncsibra commented May 3, 2014 Sorry, copy-paste error, libgcc_s_dw2-1.dll missed too, corrected previous post. Also, this is the error shown on the console after the application exits: c:/ruby/lib/ruby/gems/1.8/gems/activerecord-1.15.2/lib/active_record/connection_ adapters/oracle_adapter.rb:685:in `oci_connection': Oracle/OCI libraries could n ot be loaded: 126: The specified module could not be found. check over here

Thanks again for your help! Please enable JavaScript to view the comments powered by Disqus. Yes, my password is: Forgot your password? it already is ...

Activerecord Oracle_enhanced Adapter Could Not Load Ruby-oci8 Library

How exactly std::string_view is faster than const std::string&? Takehiro - I've got it working! I >> copied it to ruby/bin and now the previously mentioned error is gone. >> Thanks for that. Browse other questions tagged ruby oracle or ask your own question.

My recommendation is to check the registry setting and Data Source Name DSN from control panel. The PATH user variable is correctly set to where the oci.dll is in the Oracle Windows directory. Do you used it on windows? You signed in with another tab or window.

I am getting another error now, but I'm assuming this has to do with connecting to the database. Owner vjoel commented May 6, 2014 On 05/06/2014 10:00 AM, Norbert Csibra wrote: HI, Just one extra question, maybe that's the easiest way to ask. Forum List Topic List New Topic Search Register User List Log In Powered by RForum and Captchator. http://www.pcreview.co.uk/threads/oci-dll-the-specified-module-could-not-be-found-ocienvcreate-fa.2782270/ Uninstall oci8 gem and reinstall it again Follow this article.

Register Privacy Policy Terms and Rules Help Popular Sections Tech Support Forums Articles Archives Connect With Us Twitter Log-in Register Contact Us Forum software by XenForo™ ©2010-2016 XenForo Ltd. It looks the code in the ruby file runs fine, but after that something happening in the C++ code, because I'm getting this error: Assertion failed: dummy_versions_.next_ == &dummy_versions_, file db/version_set.cc, IIRC, ruby-leveldb builds the C++ leveldb code as part of the gem. I'm using this: https://github.com/vjoel/leveldb which is based on the official 1.14 release plus a minor addition to the makefile.

Oracle Instant Client

Report post Edit Delete Reply with quote Re: ActiveRecord/Oracle without Rails Drew Olson (dfg59) on 2007-02-07 15:23 > Look for OCI.dll - it's a dependency for oci8lib.so. Didn't you experienced similar problem? Activerecord Oracle_enhanced Adapter Could Not Load Ruby-oci8 Library However, I'm seeing something new now. What version of leveldb are you using?

There are maybe more options, for details see http://msdn.microsoft.com/library/default.asp?url=... check my blog I figured out one thing since, if I copy the 'leveldb.dll' to ruby bin dir and run the sample script from 'Synopsis' in a mingw terminal, then it works, but it There are maybe more > > options, for details see > > I was able to find OCI.dll by downloading the Oracle Instant Client. If this doesn't match up to the location of leveldb's dll, that would cause an error.

Please contact the application's support team for more information. Just click the sign up button to choose a username and then you can ask your own questions on the forum. Compute the Eulerian number Sieve of Eratosthenes, Step by Step Would not allowing my vehicle to downshift uphill be fuel efficient? this content It should be 1.

Or maybe there is some other gem that uses c++ on mingw and that builds and installs correctly. You signed out in another tab or window. regards, Senthil Krishnamoorthy Report post Edit Delete Reply with quote Re: ActiveRecord/Oracle without Rails Jesse Hu (jessehu) on 2008-08-26 05:11 Pls install Oracle Instant Client http://www.oracle.com/technology/tech/oci/instantc... 2008/8/14 Senthil Krishnamoorthy Report

I > copied it to ruby/bin and now the previously mentioned error is gone. > Thanks for that.

The Dice Star Strikes Back Is a food chain without plants plausible? N(e(s(t))) a string Is it possible to keep publishing under my professional (maiden) name, different from my married legal name? Can I stop this homebrewed Lucky Coin ability from being exploited? When you built leveldb (the C++ lib, I mean, not the ruby extension), did you make install?

Owner vjoel commented May 3, 2014 Sorry, no, I haven't used it on windows. share|improve this answer answered May 20 at 6:28 boutta 7,99252343 add a comment| Your Answer draft saved draft discarded Sign up or log in Sign up using Google Sign up The iterator.rb and the test-iterator.rb scripts runs fine for you on linux? http://cygnussoft.com/load-error/load-error-res-dll.html Reload to refresh your session.